Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2558043007: Fix free memory calculation. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 3 weeks ago by Michael K. (Yandex Team)
Modified:
1 month, 1 week ago
CC:
chromium-reviews, extensions-reviews_chromium.org, oshima+watch_chromium.org, vmpstr+watch_chromium.org, darin-cc_chromium.org, asvitkine+watch_chromium.org, mac-reviews_chromium.org, chromium-apps-reviews_chromium.org, davemoore+watch_chromium.org, jinzhang1
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix free memory calculation. The term "free memory" can mean different things: it can mean 1) absolutely/pure free physical memory (not consumed by anything) or 2) it can include the inactive part(s) of OS (file) cache(s) or 3) it can mean the maximum amount of physical memory that can be allocated quickly without swapping and thus can also include the active part(s) of OS cache(s). This CL fixes base::AmountOfAvailablePhysicalMemory() to function according to the 2nd meaning on all platforms where it is possible because this is what everyone needs most of the time. (Win platform has already had such implementation but others haven't). BUG=672745 Review-Url: https://codereview.chromium.org/2558043007 Cr-Original-Commit-Position: refs/heads/master@{#458291} Committed: https://chromium.googlesource.com/chromium/src/+/a4258cad75d8cc63170555cc74bd584b5bfca965 Review-Url: https://codereview.chromium.org/2558043007 Cr-Commit-Position: refs/heads/master@{#458615} Committed: https://chromium.googlesource.com/chromium/src/+/01ac10b7938701bc9f9f2c05faf18229f9573b4c

Patch Set 1 #

Patch Set 2 : Fix device_status_collector.cc. #

Patch Set 3 : Fix formatting. #

Patch Set 4 : Rework CL after review. #

Patch Set 5 : Fix free and zeroed memory calculation on Win. #

Patch Set 6 : Add debug for NOTREACHED. #

Patch Set 7 : Fix last review and build notes. #

Patch Set 8 : Fix comment formatting. #

Total comments: 18

Patch Set 9 : Fix review notes. #

Total comments: 4

Patch Set 10 : Fix comments, "zero" memory on Win, forgotten "reclaimable", add test for Linux platform. #

Patch Set 11 : Fix compilation under Android. #

Patch Set 12 : Fix unittests on linuxes. #

Total comments: 5

Patch Set 13 : Fix base::SysInfo public interface. #

Patch Set 14 : Fix unittest compilation under Linuxes. #

Total comments: 1

Patch Set 15 : Add AmountOfAvailablePhysicalMemory() testing on fixed input. #

Patch Set 16 : Use real MemAvailable value, replace formulas by exact numbers in test. #

Total comments: 8

Patch Set 17 : Remove "free" on Win, fix struct initialization. #

Patch Set 18 : Rebase. #

Total comments: 16

Patch Set 19 : Fix chromium-style warnings. #

Patch Set 20 : Fix struct initialization on ChromeOS. #

Patch Set 21 : Fix review notes. #

Patch Set 22 : Rename "available" field on Win to "avail_phys". #

Patch Set 23 : Fix various things again. #

Total comments: 19

Patch Set 24 : Remove explicit copy ctor, use saturated_cast, put tests in base::. #

Patch Set 25 : Fix compilation. #

Patch Set 26 : Fix compilation under ios. #

Total comments: 2

Patch Set 27 : Remove additional logging in CHECK. #

Patch Set 28 : Fix integer overflow in unittest. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+275 lines, -173 lines) Patch
M base/process/process_metrics.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 2 chunks +44 lines, -22 lines 0 comments Download
M base/process/process_metrics.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 24 1 chunk +5 lines, -0 lines 0 comments Download
M base/process/process_metrics_ios.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 3 chunks +35 lines, -9 lines 0 comments Download
M base/process/process_metrics_linux.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 4 chunks +3 lines, -35 lines 0 comments Download
M base/process/process_metrics_mac.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 4 chunks +17 lines, -14 lines 0 comments Download
M base/process/process_metrics_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 8 chunks +28 lines, -4 lines 0 comments Download
M base/process/process_metrics_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 3 chunks +2 lines, -8 lines 0 comments Download
M base/sys_info.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 3 chunks +19 lines, -0 lines 0 comments Download
M base/sys_info_ios.mm View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 chunks +6 lines, -12 lines 0 comments Download
M base/sys_info_linux.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +20 lines, -3 lines 0 comments Download
M base/sys_info_mac.mm View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 2 chunks +6 lines, -13 lines 0 comments Download
M base/sys_info_openbsd.cc View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M base/sys_info_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 8 chunks +74 lines, -46 lines 0 comments Download
M base/sys_info_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 2 chunks +5 lines, -1 line 0 comments Download
M chrome/browser/ui/webui/about_ui.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +4 lines, -1 line 0 comments Download
M components/memory_pressure/direct_memory_pressure_calculator_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +1 line, -1 line 0 comments Download
M components/memory_pressure/direct_memory_pressure_calculator_win_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +2 lines, -2 lines 0 comments Download
M content/browser/memory/memory_monitor_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +1 line, -1 line 0 comments Download
M content/browser/memory/memory_monitor_win_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 235 (153 generated)
Michael K. (Yandex Team)
PTAL
4 months, 3 weeks ago (2016-12-09 08:58:48 UTC) #3
jam
please add a descriptive cl description. also please specify which files each reviewer should look ...
4 months, 3 weeks ago (2016-12-09 17:39:44 UTC) #8
Michael K. (Yandex Team)
On 2016/12/09 17:39:44, jam wrote: > please add a descriptive cl description. Fixed > also ...
4 months ago (2016-12-29 10:55:30 UTC) #10
Michael K. (Yandex Team)
PTAL
4 months ago (2016-12-29 10:55:50 UTC) #11
jam
On 2016/12/29 10:55:50, mkolom wrote: > PTAL I defer to base/OWNERS to review the changes ...
4 months ago (2016-12-29 16:36:34 UTC) #12
Michael K. (Yandex Team)
Maybe these people will be also interested in: * rmcilroy - base/sys_info*; * rsesek - ...
3 months, 2 weeks ago (2017-01-12 11:41:59 UTC) #14
rmcilroy
I'm not an owner of base, just base/android so you probably want to get someone ...
3 months, 2 weeks ago (2017-01-12 15:16:29 UTC) #15
Andrew T Wilson (Slow)
policy/ LGTM. jinzhang@: FYI, if you start seeing weird "free memory" values in our chrome ...
3 months, 2 weeks ago (2017-01-12 16:02:40 UTC) #16
Michael K. (Yandex Team)
Sorry, is there anything I can do to draw your attention to this CL? :) ...
3 months ago (2017-01-24 06:28:14 UTC) #17
Alexei Svitkine (slow)
+primiano Primiano, who are right folks on memory to review this? On Tue, Jan 24, ...
3 months ago (2017-01-24 18:44:51 UTC) #18
Primiano Tucci
I need to take a look in more detail to this, but at a first ...
3 months ago (2017-01-25 05:07:21 UTC) #19
Primiano Tucci
Ok I took a look to this with fresh mind. First of all, thanks for ...
3 months ago (2017-01-25 17:00:47 UTC) #20
Michael K. (Yandex Team)
I completely agree with you that it is better to have the only version of ...
3 months ago (2017-01-27 08:44:26 UTC) #21
Andrew T Wilson (Slow)
Owner of DeviceStatusCollector here - we want "soft" free memory to be consistent with Windows ...
3 months ago (2017-01-27 11:10:07 UTC) #22
Michael K. (Yandex Team)
Waiting for leak_detector_controller.cc owners: sque@ or wfh@. PTAL
2 months, 3 weeks ago (2017-02-06 09:36:30 UTC) #25
Will Harris
On 2017/02/06 09:36:30, mkolom wrote: > Waiting for leak_detector_controller.cc owners: sque@ or wfh@. > PTAL ...
2 months, 3 weeks ago (2017-02-06 18:03:06 UTC) #26
Michael K. (Yandex Team)
On 2017/02/06 18:03:06, Will Harris wrote: > We were added two minutes before you said ...
2 months, 3 weeks ago (2017-02-07 03:23:49 UTC) #27
Michael K. (Yandex Team)
wfh@ , PTAL
2 months, 2 weeks ago (2017-02-09 02:31:39 UTC) #28
Simon Que
On 2017/02/09 02:31:39, mkolom wrote: > wfh@ , PTAL I'm okay with using the Soft ...
2 months, 2 weeks ago (2017-02-09 04:16:11 UTC) #29
Will Harris
It seems this CL has changed quite a bit since I last looked at it, ...
2 months, 2 weeks ago (2017-02-10 21:40:33 UTC) #38
Michael K. (Yandex Team)
I believe I've fixed all the notes. PTAL
2 months, 2 weeks ago (2017-02-13 14:58:44 UTC) #56
Michael K. (Yandex Team)
Primiano or anyone, PTAL
2 months, 2 weeks ago (2017-02-15 02:21:16 UTC) #59
Primiano Tucci
The linux changes look mostly good with some comments here and there. Can't speak for ...
2 months, 2 weeks ago (2017-02-15 11:18:34 UTC) #60
Michael K. (Yandex Team)
PTAL https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics.h File base/process/process_metrics.h (right): https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics.h#newcode281 base/process/process_metrics.h:281: int zero; On 2017/02/15 11:18:33, Primiano Tucci wrote: ...
2 months, 1 week ago (2017-02-17 13:38:48 UTC) #61
Primiano Tucci
https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics_unittest.cc File base/process/process_metrics_unittest.cc (right): https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics_unittest.cc#newcode109 base/process/process_metrics_unittest.cc:109: "MemAvailable: 2746720 kB\n" On 2017/02/17 13:38:48, mkolom wrote: > ...
2 months, 1 week ago (2017-02-20 14:13:28 UTC) #62
Michael K. (Yandex Team)
https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics_unittest.cc File base/process/process_metrics_unittest.cc (right): https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics_unittest.cc#newcode109 base/process/process_metrics_unittest.cc:109: "MemAvailable: 2746720 kB\n" On 2017/02/20 14:13:27, Primiano Tucci wrote: ...
2 months, 1 week ago (2017-02-20 14:33:14 UTC) #63
Michael K. (Yandex Team)
Sorry for the delay. Primiano, PTAL
2 months ago (2017-03-01 11:50:18 UTC) #80
Michael K. (Yandex Team)
Sorry for the persistence. PTAL
1 month, 3 weeks ago (2017-03-07 10:00:26 UTC) #81
Primiano Tucci
I think the test to check that we are retro-compat with old kernels is still ...
1 month, 3 weeks ago (2017-03-08 12:36:41 UTC) #82
Michael K. (Yandex Team)
https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics_unittest.cc File base/process/process_metrics_unittest.cc (right): https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics_unittest.cc#newcode109 base/process/process_metrics_unittest.cc:109: "MemAvailable: 2746720 kB\n" See the new SysInfoTest.AmountOfAvailablePhysicalMemory test in ...
1 month, 3 weeks ago (2017-03-09 07:21:15 UTC) #83
Michael K. (Yandex Team)
PTAL
1 month, 3 weeks ago (2017-03-09 09:47:53 UTC) #92
Primiano Tucci
https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics_unittest.cc File base/process/process_metrics_unittest.cc (right): https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics_unittest.cc#newcode109 base/process/process_metrics_unittest.cc:109: "MemAvailable: 2746720 kB\n" On 2017/03/09 07:21:15, Michael Kolomeytsev wrote: ...
1 month, 3 weeks ago (2017-03-09 10:24:03 UTC) #93
Michael K. (Yandex Team)
https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics_unittest.cc File base/process/process_metrics_unittest.cc (right): https://codereview.chromium.org/2558043007/diff/140001/base/process/process_metrics_unittest.cc#newcode109 base/process/process_metrics_unittest.cc:109: "MemAvailable: 2746720 kB\n" On 2017/03/09 10:24:03, Primiano Tucci (slow ...
1 month, 3 weeks ago (2017-03-09 10:40:57 UTC) #94
Primiano Tucci
Anyways, assuming the test gets fixed as we discussed, *linux*.cc LGTM (not an owner though). ...
1 month, 3 weeks ago (2017-03-09 11:50:16 UTC) #95
Michael K. (Yandex Team)
Reviewers are looked for the following: * base/process/process_metrics_MAC.cc and base/process/process_metrics_WIN.cc * base/sys_info_MAC.cc, base/sys_info_IOS.cc and base/sys_info_WIN.cc ...
1 month, 3 weeks ago (2017-03-09 13:14:19 UTC) #98
Michael K. (Yandex Team)
PTAL
1 month, 3 weeks ago (2017-03-09 13:17:39 UTC) #100
brucedawson
https://codereview.chromium.org/2558043007/diff/300001/base/process/process_metrics.h File base/process/process_metrics.h (right): https://codereview.chromium.org/2558043007/diff/300001/base/process/process_metrics.h#newcode281 base/process/process_metrics.h:281: int free; What is this actually used for? The ...
1 month, 3 weeks ago (2017-03-09 19:17:52 UTC) #115
Michael K. (Yandex Team)
https://codereview.chromium.org/2558043007/diff/300001/base/process/process_metrics.h File base/process/process_metrics.h (right): https://codereview.chromium.org/2558043007/diff/300001/base/process/process_metrics.h#newcode281 base/process/process_metrics.h:281: int free; It was used in first patchsets but ...
1 month, 3 weeks ago (2017-03-10 15:53:57 UTC) #116
danakj
I'm finding it problematic that we have two fields with the same name but different ...
1 month, 3 weeks ago (2017-03-10 17:13:49 UTC) #128
Michael K. (Yandex Team)
https://codereview.chromium.org/2558043007/diff/340001/base/process/process_metrics.h File base/process/process_metrics.h (left): https://codereview.chromium.org/2558043007/diff/340001/base/process/process_metrics.h#oldcode270 base/process/process_metrics.h:270: SystemMemoryInfoKB(); On 2017/03/10 17:13:48, danakj wrote: > You need ...
1 month, 3 weeks ago (2017-03-10 18:22:38 UTC) #129
danakj
On Fri, Mar 10, 2017 at 12:13 PM, <danakj@chromium.org> wrote: > I'm finding it problematic ...
1 month, 3 weeks ago (2017-03-10 18:58:22 UTC) #132
Michael K. (Yandex Team)
On 2017/03/10 18:58:22, danakj wrote: > On Fri, Mar 10, 2017 at 12:13 PM, <mailto:danakj@chromium.org> ...
1 month, 3 weeks ago (2017-03-10 19:12:46 UTC) #133
Michael K. (Yandex Team)
On 2017/03/10 19:12:46, Michael K. (Yandex Team) wrote: > On 2017/03/10 18:58:22, danakj wrote: > ...
1 month, 3 weeks ago (2017-03-10 19:35:54 UTC) #134
Michael K. (Yandex Team)
PTAL
1 month, 3 weeks ago (2017-03-10 21:37:25 UTC) #147
brucedawson
lgtm https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics_ios.cc File base/process/process_metrics_ios.cc (left): https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics_ios.cc#oldcode29 base/process/process_metrics_ios.cc:29: SystemMemoryInfoKB::SystemMemoryInfoKB() : total(0), free(0) {} Don't these need ...
1 month, 2 weeks ago (2017-03-11 01:42:08 UTC) #148
Michael K. (Yandex Team)
On 2017/03/11 01:42:08, brucedawson wrote: > lgtm > > https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics_ios.cc > File base/process/process_metrics_ios.cc (left): > ...
1 month, 2 weeks ago (2017-03-11 14:12:57 UTC) #149
Michael K. (Yandex Team)
danakj, PTAL
1 month, 2 weeks ago (2017-03-11 14:15:59 UTC) #150
danakj
https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics.h File base/process/process_metrics.h (right): https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics.h#newcode273 base/process/process_metrics.h:273: SystemMemoryInfoKB(const SystemMemoryInfoKB& other); btw I think you can just ...
1 month, 2 weeks ago (2017-03-13 16:01:21 UTC) #151
Michael K. (Yandex Team)
https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics.h File base/process/process_metrics.h (right): https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics.h#newcode273 base/process/process_metrics.h:273: SystemMemoryInfoKB(const SystemMemoryInfoKB& other); On 2017/03/13 16:01:20, danakj wrote: > ...
1 month, 2 weeks ago (2017-03-14 03:49:09 UTC) #152
Michael K. (Yandex Team)
danakj, PTAL
1 month, 2 weeks ago (2017-03-14 03:53:20 UTC) #155
Michael K. (Yandex Team)
https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics.h File base/process/process_metrics.h (right): https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics.h#newcode273 base/process/process_metrics.h:273: SystemMemoryInfoKB(const SystemMemoryInfoKB& other); On 2017/03/13 16:01:20, danakj wrote: > ...
1 month, 2 weeks ago (2017-03-14 04:50:37 UTC) #158
dcheng (OOO through May 2)
https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics.h File base/process/process_metrics.h (right): https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics.h#newcode273 base/process/process_metrics.h:273: SystemMemoryInfoKB(const SystemMemoryInfoKB& other); On 2017/03/14 04:50:37, Michael K. (Yandex ...
1 month, 2 weeks ago (2017-03-14 05:10:09 UTC) #163
Michael K. (Yandex Team)
On 2017/03/14 05:10:09, dcheng wrote: > Note: a struct isn't a POD if it has ...
1 month, 2 weeks ago (2017-03-14 06:30:46 UTC) #168
Michael K. (Yandex Team)
https://codereview.chromium.org/2558043007/diff/500001/base/process/process_metrics_ios.cc File base/process/process_metrics_ios.cc (right): https://codereview.chromium.org/2558043007/diff/500001/base/process/process_metrics_ios.cc#newcode114 base/process/process_metrics_ios.cc:114: CHECK_EQ(PAGE_SIZE, (PAGE_SIZE >> 10) << 10) << "Invalid page ...
1 month, 2 weeks ago (2017-03-14 07:41:05 UTC) #173
Michael K. (Yandex Team)
danakj, PTAL
1 month, 2 weeks ago (2017-03-14 08:53:12 UTC) #178
Michael K. (Yandex Team)
danakj, PTAL
1 month, 2 weeks ago (2017-03-14 08:53:17 UTC) #179
danakj
LGTM https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics_mac.cc File base/process/process_metrics_mac.cc (right): https://codereview.chromium.org/2558043007/diff/440001/base/process/process_metrics_mac.cc#newcode399 base/process/process_metrics_mac.cc:399: PAGE_SIZE / 1024 * (vm_info.free_count - vm_info.speculative_count)); On ...
1 month, 2 weeks ago (2017-03-14 14:41:46 UTC) #180
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2558043007/520001
1 month, 2 weeks ago (2017-03-14 15:13:38 UTC) #183
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/384945)
1 month, 2 weeks ago (2017-03-14 15:20:59 UTC) #185
Michael K. (Yandex Team)
chrisha is for: components/memory_pressure/direct_memory_pressure_calculator_win.cc components/memory_pressure/direct_memory_pressure_calculator_win_unittest.cc content/browser/memory/memory_monitor_win.cc content/browser/memory/memory_monitor_win_unittest.cc xiyuan@chromium.org is for: chrome/browser/ui/webui/about_ui.cc PTAL
1 month, 2 weeks ago (2017-03-14 15:38:54 UTC) #187
xiyuan
about_ui.cc lgtm
1 month, 2 weeks ago (2017-03-14 17:25:46 UTC) #188
Michael K. (Yandex Team)
chrisha, PTAL components/memory_pressure/direct_memory_pressure_calculator_win.cc components/memory_pressure/direct_memory_pressure_calculator_win_unittest.cc content/browser/memory/memory_monitor_win.cc content/browser/memory/memory_monitor_win_unittest.cc
1 month, 2 weeks ago (2017-03-16 02:10:42 UTC) #193
Michael K. (Yandex Team)
shrike@ or chrisha@, PTAL: * components/memory_pressure/direct_memory_pressure_calculator_win.cc * components/memory_pressure/direct_memory_pressure_calculator_win_unittest.cc haraken@ or chrisha@ PTAL: * content/browser/memory/memory_monitor_win.cc * ...
1 month, 1 week ago (2017-03-20 08:16:42 UTC) #195
haraken
> haraken@ or chrisha@ PTAL: > * content/browser/memory/memory_monitor_win.cc > * content/browser/memory/memory_monitor_win_unittest.cc LGTM
1 month, 1 week ago (2017-03-20 11:43:55 UTC) #196
chrisha
lgtm
1 month, 1 week ago (2017-03-20 18:28:52 UTC) #197
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2558043007/520001
1 month, 1 week ago (2017-03-20 18:48:15 UTC) #200
commit-bot: I haz the power
Try jobs failed on following builders: android_n5x_swarming_rel on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_n5x_swarming_rel/builds/139991) linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, ...
1 month, 1 week ago (2017-03-20 19:19:43 UTC) #202
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2558043007/520001
1 month, 1 week ago (2017-03-20 19:40:07 UTC) #204
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/253720)
1 month, 1 week ago (2017-03-20 21:22:24 UTC) #206
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2558043007/520001
1 month, 1 week ago (2017-03-21 01:29:25 UTC) #208
commit-bot: I haz the power
Committed patchset #27 (id:520001) as https://chromium.googlesource.com/chromium/src/+/a4258cad75d8cc63170555cc74bd584b5bfca965
1 month, 1 week ago (2017-03-21 03:14:40 UTC) #211
Michael K. (Yandex Team)
Thanks everyone for your great patience!
1 month, 1 week ago (2017-03-21 03:22:49 UTC) #212
findit-for-me
Findit identified this CL at revision 458291 as the culprit for failures in the build ...
1 month, 1 week ago (2017-03-21 04:54:00 UTC) #213
Michael K. (Yandex Team)
On 2017/03/21 04:54:00, findit-for-me wrote: > Findit identified this CL at revision 458291 as the ...
1 month, 1 week ago (2017-03-21 05:29:24 UTC) #214
horo(ooo until May 8)
On 2017/03/21 05:29:24, Michael K. (Yandex Team) wrote: > On 2017/03/21 04:54:00, findit-for-me wrote: > ...
1 month, 1 week ago (2017-03-21 05:31:32 UTC) #215
Michael K. (Yandex Team)
On 2017/03/21 05:31:32, horo wrote: > On 2017/03/21 05:29:24, Michael K. (Yandex Team) wrote: > ...
1 month, 1 week ago (2017-03-21 06:06:39 UTC) #216
horo(ooo until May 8)
On 2017/03/21 06:06:39, Michael K. (Yandex Team) wrote: > On 2017/03/21 05:31:32, horo wrote: > ...
1 month, 1 week ago (2017-03-21 07:00:37 UTC) #217
horo(ooo until May 8)
A revert of this CL (patchset #27 id:520001) has been created in https://codereview.chromium.org/2766623002/ by horo@chromium.org. ...
1 month, 1 week ago (2017-03-21 07:01:26 UTC) #218
Michael K. (Yandex Team)
danakj@ PTAL at base/sys_info_unittest.cc (the last patchset). There was an accident last night after the ...
1 month, 1 week ago (2017-03-21 10:29:04 UTC) #228
danakj
The unit test changes LGTM
1 month, 1 week ago (2017-03-21 14:50:58 UTC) #229
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2558043007/540001
1 month, 1 week ago (2017-03-22 01:05:20 UTC) #232
commit-bot: I haz the power
1 month, 1 week ago (2017-03-22 01:48:32 UTC) #235
Message was sent while issue was closed.
Committed patchset #28 (id:540001) as
https://chromium.googlesource.com/chromium/src/+/01ac10b7938701bc9f9f2c05faf1...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46